最終更新:2017-01-27 (金) 12:37:52 (879d)  

RHEL 7/パッケージの置換 はてなブックマークを見る
Top / RHEL 7 / パッケージの置換

https://access.redhat.com/documentation/ja-JP/Red_Hat_Enterprise_Linux/7/html/Migration_Planning_Guide/sect-Red_Hat_Enterprise_Linux-Migration_Planning_Guide-Package_Replacements.html

  • 削除されたパッケージ置換/代替注釈
    vconfig?iproute? (ip ツール)互換性は限定的
    module-init-toolskmod
    openoffice.org?libreoffice?
    manman-db?
    ext2 および ext3 filesystem driverext4 filesystem driver
    openais?corosync?機能は、Red Hat Enterprise Linux HA? スタックに含まれています。
    jwhois?whois?出力フォーマットが異なります。
    libjpeglibjpeg-turbo
    gpxe?ipxe?gpxe? の分岐。
    cpuspeedkernelkernel-tools (cpupowercpupower.service?)Linux/etc/sysconfig/cpupower? で設定されるようになりました。ユーザースペースのサイズ変更デーモンはもう含まれていません。必要な場合は、カーネルガバナーを使用してください。
    ncnmap-ncat?
    procpsprocps-ng?
    openswan?libreswan?
    arptables_jf?arptables?
    gcj?OpenJDKJava アプリケーションを、gcj? を使ってネイティブコードにコンパイルしないでください。
    インストールアーキテクチャーとしての 32-bit x8664ビットx86アプリケーションは、互換性ライブラリーを使って実行されます。64 ビット の Red Hat Enterprise Linux 6? 上でアプリケーションをテストしてください。32 ビット の x86 起動サポートが必要な場合は、引き続き Red Hat Enterprise Linux 6? を使用してください。
    Power 6 PPC support?引き続き Red Hat Enterprise Linux 5? または Red Hat Enterprise Linux 6? を使用してください。
    Matahari?CIM?ベースの管理
    ecryptfs?既存の LUKS または dm-crypt ブロックベースの暗号化を使用してください。暗号化ファイルシステムの移行はできません。暗号化されたデータは再作成する必要があります。
    evolution-exchange?evolution-mapi/evolution-ews?
    TurboGears2 web application stackopenmotif22?motif?現行の Motif バージョンに対してアプリケーションを再構築してください。
    webalizer? web anayltics tool他の web アナリティクスツールの方が優れています。
    compiz window manager?gnome-shell?
    Eclipse developer toolset?Eclipse は、Developer Toolset? オファリングで提供されるようになりました。
    Qpid? および QMF?Qpid? および QMF? は、MRG オファリングで利用可能です。
    amtu?コモンクライテリア認定ではこのツールは不要になりました。
    system-config-servicessystemadm?
    pidgin frontends?empathy?
    perl-suidperl?perlこの機能は、アップストリームの  perl では削除されました。
    pam_passwdqc?pam_cracklib?libpwquality?pam_pwquality?互換性は限定的
    HAL ライブラリーおよびデーモンudev
    ConsoleKit ライブラリーおよびデーモン?systemd互換性は限定的
    system-config-networknm-connection-editornmcli
    thunderbirdevolution?
    system-config-firewallfirewalld
    busybox通常のユーティリティー
    KVM および virt? パッケージ (ComputeNode? 内)サーバーバリアントなど KVM および virt? が備わったバリアント
    abyssinica-fonts?sil-abyssinica-fonts?
    axis?java-1.7.0-openjdk?
    ccs?pcs?互換性は限定的
    cjkuni-fonts-common?cjkuni-uming-fonts?
    classpath-jaf?java-1.7.0-openjdk?
    classpath-mail?javamail?互換性は限定的
    cman?corosync?
    control-center-extra?control-center
    db4-cxx?libdb4-cxx?
    db4-devel?libdb4-devel?
    db4-utils?libdb4-utils?
    desktop-effects?control-center
    DeviceKit-power?upower?互換性は限定的
    dracut-kernel?dracut
    eggdbus?glib2?互換性は限定的
    fcoe-target-utils?targetcli?詳細は、「targetcli? によるターゲット管理」 を参照してください。
    febootstrap?supermin?
    gcc-java?java-1.7.0-openjdk-devel?
    GConf2-gtk?GConf2?
    gdm-plugin-fingerprint?gdm?
    gdm-plugin-smartcard?gdm?
    gdm-user-switch-applet?gnome-shell?互換性は限定的
    geronimo-specs?geronimo-parent-poms?
    geronimo-specs-compat?geronimo-jms?geronimo-jta?互換性は限定的
    gimp-help-browser?gimp互換性は限定的
    gnome-applets?gnome-classic-session?互換性は限定的
    gnome-keyring-devel?gnome-keyring?
    gnome-mag?gnome-shell?互換性は限定的
    gnome-python2-applet?pygtk2?互換性は限定的
    gnome-speech?speech-dispatcher?互換性は限定的
    gpxe-roms-qemu?ipxe-roms-qemu?
    hal?systemd互換性は限定的
    hal-devel?systemd-devel?互換性は限定的
    ibus-gtk?ibus-gtk2?
    ibus-table-cangjie?ibus-table-chinese-cangjie?
    ibus-table-erbi?ibus-table-chinese-erbi?
    ibus-table-wubi?ibus-table-chinese-wubi-haifeng?
    jakarta-commons-net?apache-commons-net?
    java-1.5.0-gcj?java-1.7.0-openjdk?java-1.7.0-openjdk-headless?互換性は限定的
    java-1.5.0-gcj-devel?java-1.7.0-openjdk-devel?互換性は限定的
    java-1.5.0-gcj-javadoc?java-1.7.0-openjdk-javadoc?互換性は限定的
    junit4?junit?
    jwhois?whois?
    kabi-whitelists?kernel-abi-whitelists?
    kdeaccessibility-libs?kdeaccessibility?
    kdebase-devel?kde-baseapps-devel?
    kdebase-workspace-wallpapers?kde-wallpapers?
    kdelibs-experimental?kdelibs?
    kdesdk-libs?kate-libs?kdesdk-kmtrace-libs?kdesdk-kompare?互換性は限定的
    kdesdk-utils?kdesdk-poxml?
    krb5-auth-dialog?gnome-online-accounts?互換性は限定的
    lldpad-libs?lldpad?
    lslk?util-linux互換性は限定的
    luci?pcs?詳細は、「クラスタリングと高可用性」を参照してください。
    man-pages-uk?man-pages
    mingetty?util-linux互換性は限定的
    modcluster?pcs?互換性は限定的
    mod_perlmod_fcgid?httpd 2.4?と互換性なし
    m17n-contrib-*?m17n-contrib?
    m17n-db-*?m17n-db?m17n-db-extras?
    NetworkManager-gnome?nm-connection-editornetwork-managerapplet?
    nss_db?glibc互換性は限定的
    openais?corosync?
    openaislib?corosynclib?
    openaislib-devel?corosynclib-devel?
    PackageKit-gtk-module?PackageKit-gtk3-module?互換性は限定的
    polkit-desktop-policy?polkit
    pulseaudio-libs-zeroconf?pulseaudio-libs?互換性は限定的
    qt-sqlite?qt?
    Red_Hat_Enterprise_Linux-Release_Notes-6-*?Red_Hat_Enterprise_Linux-Release_Notes-7-*?
    redhat-lsb-compat?redhat-lsb-core?
    rgmanager?pacemaker?詳細は、「クラスタリングと高可用性」を参照してください。
    rhythmbox-upnp?rhythmbox
    ricci?pcs?詳細は、「クラスタリングと高可用性」を参照してください。
    samba4*?samba*?詳細は、「Samba」 を参照してください。
    sbm-cim-client?sbm-cim-client2?互換性は限定的
    scsi-target-utils?targetcli?詳細は、「targetcli? によるターゲット管理」 を参照してください。
    seekwatcher?iowatcher?
    spice-client?virt-viewer互換性は限定的
    system-config-lvm?gnome-disk-utility互換性は限定的
    texlive-*?texlive?
    tex-cm-lgc?texlive-cm-lgc?
    tex-kerkis?texlive-kerkis?
    texlive-texmf-dvips?texlive-dvips?
    texlive-texmf-latex?texlive-latex?
    tomcat6?tomcat?
    tomcat6-el-2.1-api?tomcat-el-2.2-api?
    tomcat6-jsp-2.1-api?tomcat-jsp-2.2-api?
    tomcat6-lib?tomcat-lib?
    totem-upnp?totem
    udisksudisks2?互換性は限定的
    un-core-batang-fonts?nhn-nanum-myeongjo-fonts?
    un-core-dinaru-fonts?un-core-graphic-fonts?nhn-nanum-gothic-fonts?互換性は限定的
    un-core-dotum-fonts?nhn-nanum-gothic-fonts?
    un-core-fonts-common?nhn-nanum-fonts-common?互換性は限定的
    un-core-gungseo-fonts?nhn-nanum-brush-fonts?互換性は限定的
    un-core-pilgi-fonts?nhn-nanum-pen-fonts?互換性は限定的
    unique?unique3?glib2?互換性は限定的
    unique-devel?unique3-devel?互換性は限定的
    unix2dos?dos2unix
    vgabios?seavgabios-bin?
    w3mtext-www-browser?互換性は限定的
    xmlrpc3-*?xmlrpc-*?
    xorg-x11-drv-apm?xorg-x11-drv-fbdev?xorg-x11-drv-vesa?
    xorg-x11-drv-ast?xorg-x11-drv-cirrus?xorg-x11-drv-mga?xorg-x11-drv-modesetting?
    xorg-x11-drv-ati-firmware?linux-firmware
    xorg-x11-drv-elographics?xorg-x11-drv-glint?xorg-x11-drv-i128?xorg-x11-drv-i740?xorg-x11-drv-mach64?xorg-x11-drv-rendition?xorg-x11-drv-r128?xorg-x11-drv-savage?xorg-x11-drv-siliconmotion?xorg-x11-drv-sis?xorg-x11-drv-sisusb?xorg-x11-drv-s3virge?xorg-x11-drv-tdfx?xorg-x11-drv-trident?xorg-x11-drv-voodoo?xorg-x11-drv-xgi?xorg-x11-drv-fbdev?xorg-x11-drv-vesa?
    xorg-x11-drv-nv?xorg-x11-drv-nouveau?
    xorg-x11-twm?metacity?互換性は限定的
    xorg-x11-xdm?gdm?互換性は限定的
    yum-plugin-downloadonly?yum